VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "door"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public byte0 As Byte
Public strength As Byte

'0x00FF = strength of door, for bashing
'0x0100 = not passable by super natural beings
'0x0200 = passable by projectiles (sometimes)
'0x0400 = mirrored randomly (ra door)
' rest do nothing as far as i know

Public Function pass_nonmaterial() As Byte
    pass_nonmaterial = (byte0 And &H1) / &H1
End Function
Public Function pass_projectile() As Byte
    pass_projectile = (byte0 And &H2) / &H2
End Function
Public Function mirrored() As Byte
    mirrored = (byte0 And &H4) / &H4
End Function
Public Function set_passnonmaterial(num As Integer)
    If num = 1 Then
        byte0 = (byte0 And &HFE) + &H1
    Else
        byte0 = byte0 And &HFE
    End If
End Function
Public Function set_passprojectile(num As Integer)
    If num = 1 Then
        byte0 = (byte0 And &HFD) + &H2
    Else
        byte0 = byte0 And &HFD
    End If
End Function
Public Function set_mirrored(num As Integer)
    If num = 1 Then
        byte0 = (byte0 And &HFB) + &H4
    Else
        byte0 = byte0 And &HFB
    End If
End Function


